fuss-client - Segnalazione #262

fuss-client -a/ cant discover domain /
05/18/2017 10:29 AM - Helmut Oberholllenzer

Status: Risolto Start date: 05/18/2017
Priority: Normale Due date:

Assignee: Helmut Oberholllenzer % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Hallo,

ich habe gerade einen Client installiert und danach fuss-client -a eingegeben, das Ergebnis:

TASK [homes : Set a default domain name if needed] ******
skipping: [localhost]

TASK [homes : Stop if no domain is availablg] ** e
fatal: [localhost]: FAILED! => {"changed": false, "failed": true, "msg": "We can't discover our domain. If this happens multiple times in
a row you can try to pass it explicitely with --domain."}

RUNNING HANDLER [network : restart networking] **
changed: [localhost]
to retry, use: --limit @/usr/share/fuss-client/connect.retry

PLAY RECAP *rrssrmsmmi e e *

localhost :0k=36 changed=14 unreachable=0 failed=1

Related issues:

Related to fuss-client - Segnalazione #252: fuss-client -a da errore Chiuso 05/12/2017
Related to fuss-client - Segnalazione #269: problema con fuss-client Chiuso 05/23/2017
Related to fuss-server - Segnalazione #236: login Chiuso 04/21/2017

Associated revisions

Revision f6aa9c94 - 07/05/2017 10:13 AM - Elena Grandi

Improved autodetection of domain. refs: #262

Revision 2¢38242d - 07/05/2017 10:38 AM - Elena Grandi

Revert "Improved autodetection of domain. refs: #262" (included in 8.0.15)
This reverts commit f6aa9c945b578f148d91357c0606a9302604f310.

Version 8.0.15 was not uploaded before this edit, so the .deb will be
based on this commit.

Revision d1aaa749 - 07/05/2017 02:54 PM - Elena Grandi

Read domain name from octofuss when not specified on command line. refs: #262

Revision 193bc9e8 - 07/05/2017 03:01 PM - Elena Grandi

Finish reading domain name from octofuss. refs: #262

History
#1 - 05/23/2017 02:23 PM - Christopher R. Gabriel

- Assignee set to Elena Grandi

#2 - 05/24/2017 10:50 AM - Elena Grandi

- Assignee changed from Elena Grandi to Helmut Oberholllenzer

Questa ¢ effettivamente una cosa che pud capitare: a seconda della configurazione della rete & possibile che il client non riesca a riconoscere

automaticamente il dominio.

Potrebbe essere dovuto a fallimenti temporanei della rete, nel qual caso basta rilanciare fuss-client con le stesse opzioni, oppure dipendere da
configurazioni particolari che rendono impossibile I'autodetect; per questi casi, come specificato nel messaggio, esiste un'opzione --domain per

impostare esplicitamente il dominio.

Purtroppo a quel punto dell'esecuzione non & possibile stampare il messaggio di errore in modo differente; al massimo se non & chiaro se ne pud
cambiare il testo.

Se si vuole provare a scoprire cosa sia successo in questo specifico caso: sulla rete c'erano solo un fuss-server e i client? oppure c'erano altri
apparati?

#3 - 05/24/2017 11:10 AM - Christopher R. Gabriel

- Status changed from Nuovo to Commenti

#4 - 05/24/2017 11:54 AM - Elena Grandi

- Related to Segnalazione #252: fuss-client -a da errore added

#5 - 05/24/2017 11:55 AM - Elena Grandi

- Related to Segnalazione #269: problema con fuss-client added

#6 - 05/24/2017 11:59 AM - Elena Grandi
- Related to Segnalazione #236: login added

#7 - 05/24/2017 12:04 PM - Helmut Oberholllenzer

- Status changed from Commenti to Risolto

Ho lanciato fuss-client -a
la seconda volta non da un errore.

Ambiente proxmox con solo server e client in rete.

#8 - 05/24/2017 12:13 PM - Elena Grandi

- Status changed from Risolto to Commenti

Ho visto intanto che il problema si & ripresentato in piu casi, nei vari ticket che ho appena collegato; propongo di proseguire I'indagine su questo ticket
che ha un oggetto piu riconoscibile.

Un modo alternativo (e piu veloce) per sapere se si sta presentando o meno € lanciare, sul client, il comando:
ansible -i localhost, -c local localhost -m setup | less

cercare il campo ansible_dns e verificare che abbia un sottocampo domain; un esempio di risultato corretto di questa parte sarebbe (ovviamente con
valori diversi):

"ansible_dns": {
"domain": "istituto.lan",
"nameservers": [
"192.168.6.1"
1,
"search": [
"istituto.lan"

se invece manca o & vuoto domain si & nel caso che causa l'errore segnalato.
Notavo anche in #236 che la cosa potrebbe essere saltuaria (e che non sono mai riuscita a riprodurla localmente).

La cosa in particolare su cui indagherei & la configurazione di rete nei vari casi.

#9 - 05/25/2017 01:11 PM - Elena Grandi

Segnalo che sono riuscita a riprodurlo un paio di volte, ma non & mai durato abbastanza per fare diagnostica: appena dato I'errore tutto tornava a
posto e una seconda run di fuss-client aveva successo.

(riporto qui, dato che era stato detto in modo un po' implicito in altri ticket: la modifica fatta fin'ora fa si che in questo caso fuss-client si fermi prima di
aver configurato cose a meta, ed & quindi safe rilanciarlo)

#10 - 06/14/2017 05:05 PM - Christopher R. Gabriel

- Project changed from fuss-server to fuss-client

#11 - 07/04/2017 11:31 AM - Simone Piccardi

Dopo l'installazione di /fuss-client-full-jessie-amd64-201706211114.iso I'esecuzione del comando:

ansible -i localhost, -c local localhost -m setup
https://work.fuss.bz.it/issues/236

da luogo ad un contenuto:

[...]
"ansible_distribution_version": "8.8",
"ansible_dns": {
"nameservers": [
"192.168.42.1"
1,
"search": [
"scuola.lan"
]
}I

"ansible_domain": "scuola.lan",

a quanto pare su ansible_domain compare corretto, si puo usare questo?

#12 - 07/05/2017 09:46 AM - Christopher R. Gabriel

- Assignee changed from Helmut Oberholllenzer to Elena Grandi

#13 - 07/05/2017 10:40 AM - Elena Grandi

- Assignee changed from Elena Grandi to Simone Piccardi

No, ho provato ma ansible_domain & potenzialmente diverso da ansible_dns.domain, e quello sicuramente giusto & il secondo

#14 - 07/06/2017 10:27 AM - Elena Grandi

L'ultima versione di fuss-client (8.0.16) ottiene il dominio da octofuss invece che dal DNS, per essere sicuri di ricevere sempre e solo il valore
corretto.

In questo modo mi pare si risolvino i problemi di richiesta doppia, dato che octofuss risponde sempre lo stesso valore.

#15 - 07/06/2017 01:55 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Helmut Oberholllenzer

Ho eseguito vari test con l'ultima versione del fuss-client e il problema del mancato riconoscimento del dominio non si presenta piu.

#16 - 08/21/2017 03:46 PM - Helmut Oberholllenzer
- % Done changed from 0 to 100

#17 - 08/21/2017 03:47 PM - Helmut Oberholllenzer
- Status changed from Commenti to Risolto
